auction/bids

GET/auction/bids

List bid and non-bid rows matching the requested filters. Requires the auctions:read permission.

Request

cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/auction/bids?start_time=1712448000&end_time=1712534399" \
  -H "Authorization: Bearer $CLOUDX_API_KEY"

Query parameters

NameTypeDescription
start_timerequiredinteger<int64>Start of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not start before 2020-01-01 UTC.
end_timerequiredinteger<int64>End of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not end before 2020-01-01 UTC.
test_modestringTraffic mode to include. Defaults to production traffic.
app_bundlestringApp bundle identifier filter.
ad_unit_idstringAd unit ID filter.
countrystringISO 3166-1 alpha-2 country code filter.
device_osstringDevice operating system filter.
limitinteger<int32>Maximum number of rows to return.
floor_sourcestringFloor source filter.

Responses

Matching bid rows.
{
  "bids": [
    {
      "auction_id": "<string>",
      "account_id": "<string>",
      "event_time": "<string>",
      "bidder": "<string>",
      "bid_id": "<string>",
      "imp_id": "<string>",
      "price_cpm": 12.34,
      "deal_id": "<string>",
      "is_winner": true,
      "app_bundle": "<string>",
      "ad_unit_id": "<string>",
      "device_os": "<string>",
      "device_country": "<string>",
      "sdk_version": "<string>",
      "test_mode": true,
      "status": "<string>",
      "nonbid_reason": 123,
      "static_floor": 12.34,
      "configured_floor": 12.34,
      "dynamic_floor": 12.34,
      "publisher_floor": 12.34,
      "publisher_floor_applied": true,
      "effective_floor": 12.34,
      "effective_floor_source": "<string>",
      "publisher_override_active": true,
      "http_status": 123,
      "latency_ms": 123,
      "error_type": "<string>",
      "rejection_reason": "<string>",
      "round_number": 123,
      "priority": 123,
      "inserted_at": "<string>"
    }
  ]
}

200 Matching bid rows.

FieldTypeDescription
bidsrequiredarray of object

400 Invalid request parameters.

FieldTypeDescription
errorrequiredstring

401 Unauthorized.

FieldTypeDescription
errorrequiredstring

403 Forbidden.

FieldTypeDescription
errorrequiredstring

500 Internal server error.

FieldTypeDescription
errorrequiredstring